TeamTalk 5 Java DLL: BearWare.WebRTCConstants Struct Reference

TeamTalk 5 Java DLL Version 5.11A

Public Attributes | List of all members
BearWare.WebRTCConstants Struct Reference
Audio and Video Codecs

Default values for BearWare.WebRTCAudioPreprocessor. More...

## Public Attributes

const bool | DEFAULT_WEBRTC_PREAMPLIFIER_ENABLE = false
const float | DEFAULT_WEBRTC_PREAMPLIFIER_GAINFACTOR = 1.0f
const bool | DEFAULT_WEBRTC_VAD_ENABLE = false
const bool | DEFAULT_WEBRTC_LEVELESTIMATION_ENABLE = false
const bool | DEFAULT_WEBRTC_GAINCTL_ENABLE = false
const float | DEFAULT_WEBRTC_GAINDB = 15
const bool | DEFAULT_WEBRTC_SAT_PROT_ENABLE = false
const float | DEFAULT_WEBRTC_INIT_SAT_MARGIN_DB = 20
const float | DEFAULT_WEBRTC_EXTRA_SAT_MARGIN_DB = 2
const float | DEFAULT_WEBRTC_MAXGAIN_DBSEC = 3
const float | DEFAULT_WEBRTC_MAX_OUT_NOISE = -50
const bool | DEFAULT_WEBRTC_NOISESUPPRESS_ENABLE = false
const int | DEFAULT_WEBRTC_NOISESUPPRESS_LEVEL = 2
const bool | DEFAULT_WEBRTC_ECHO_CANCEL_ENABLE = false
const float | WEBRTC_GAINCONTROLLER2_FIXEDGAIN_MAX = 49.9f

## Detailed Description

Default values for BearWare.WebRTCAudioPreprocessor.

Definition at line 1429 of file TeamTalk.cs.

## Member Data Documentation

## ◆ DEFAULT_WEBRTC_PREAMPLIFIER_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_PREAMPLIFIER_ENABLE = false

Definition at line 1431 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_PREAMPLIFIER_GAINFACTOR

const float BearWare.WebRTCConstants.DEFAULT_WEBRTC_PREAMPLIFIER_GAINFACTOR = 1.0f

Definition at line 1432 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_VAD_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_VAD_ENABLE = false

Definition at line 1433 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_LEVELESTIMATION_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_LEVELESTIMATION_ENABLE = false

Definition at line 1434 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_GAINCTL_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_GAINCTL_ENABLE = false

Definition at line 1435 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_GAINDB

const float BearWare.WebRTCConstants.DEFAULT_WEBRTC_GAINDB = 15

Definition at line 1436 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_SAT_PROT_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_SAT_PROT_ENABLE = false

Definition at line 1437 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_INIT_SAT_MARGIN_DB

const float BearWare.WebRTCConstants.DEFAULT_WEBRTC_INIT_SAT_MARGIN_DB = 20

Definition at line 1438 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_EXTRA_SAT_MARGIN_DB

const float BearWare.WebRTCConstants.DEFAULT_WEBRTC_EXTRA_SAT_MARGIN_DB = 2

Definition at line 1439 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_MAXGAIN_DBSEC

const float BearWare.WebRTCConstants.DEFAULT_WEBRTC_MAXGAIN_DBSEC = 3

Definition at line 1440 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_MAX_OUT_NOISE

const float BearWare.WebRTCConstants.DEFAULT_WEBRTC_MAX_OUT_NOISE = -50

Definition at line 1441 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_NOISESUPPRESS_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_NOISESUPPRESS_ENABLE = false

Definition at line 1442 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_NOISESUPPRESS_LEVEL

const int BearWare.WebRTCConstants.DEFAULT_WEBRTC_NOISESUPPRESS_LEVEL = 2

Definition at line 1443 of file TeamTalk.cs.

## ◆ DEFAULT_WEBRTC_ECHO_CANCEL_ENABLE

const bool BearWare.WebRTCConstants.DEFAULT_WEBRTC_ECHO_CANCEL_ENABLE = false

Definition at line 1444 of file TeamTalk.cs.

## ◆ WEBRTC_GAINCONTROLLER2_FIXEDGAIN_MAX

const float BearWare.WebRTCConstants.WEBRTC_GAINCONTROLLER2_FIXEDGAIN_MAX = 49.9f

Definition at line 1445 of file TeamTalk.cs.